Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1846266

Summary: sympa-httpd contains nginx user name
Product: [Fedora] Fedora Reporter: Pavel Zhukov <pzhukov>
Component: sympaAssignee: Xavier Bachelot <xavier>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: ikeda, xavier
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: sympa-6.2.70-1.fc37 sympa-6.2.70-1.fc36 sympa-6.2.70-1.fc35 sympa-6.2.70-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-10 01:23:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Pavel Zhukov 2020-06-11 08:58:44 UTC
Description of problem:
sympa-httpd's wwsympa is failed to start because it contains -u nginx option. Use nginx doesn't exist

Version-Release number of selected component (if applicable):
sympa-httpd-6.2.56-1.fc32.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install sympa-httpd and start wwsympa


Actual results:
Jun 11 10:52:14 sympa.example.com systemd[1]: Starting WWSympa - Web interface for Sympa mailing list manager...
Jun 11 10:52:14 sympa.example.com spawn-fcgi[24144]: spawn-fcgi: can't find user name nginx


Expected results:


Additional info:
]# systemctl cat wwsympa.service
# /usr/lib/systemd/system/wwsympa.service
[Unit]
Description=WWSympa - Web interface for Sympa mailing list manager
After=syslog.target sympa.service
 
[Service]
Type=forking
PIDFile=/run/sympa/wwsympa.pid
ExecStart=/usr/bin/spawn-fcgi -F $FCGI_CHILDREN \
    -P /run/sympa/wwsympa.pid \
    -s /run/sympa/wwsympa.socket \
    -u $FCGI_USER -g $FCGI_GROUP $FCGI_OPTS -- \
    /usr/libexec/sympa/wwsympa.fcgi
Environment="FCGI_CHILDREN=5"
Environment="FCGI_USER=sympa"
Environment="FCGI_GROUP=sympa"
Environment="FCGI_OPTS=-M 0600 -U nginx"    <<<< HERE
EnvironmentFile=-/etc/sysconfig/sympa
Restart=always

[Install]
WantedBy=multi-user.target

Comment 1 Xavier Bachelot 2020-06-11 09:05:19 UTC
This needs to be configured in /etc/sysconfig/sympa, as hinted by the "EnvironmentFile=-/etc/sysconfig/sympa" just below the one you pointed out.

Comment 2 Xavier Bachelot 2020-06-11 09:07:12 UTC
Just a note, I'm working to get rid off of spawn-fcgi in favor of systemd managed sockets.
This will make this work out of the box, without that tweak.

Comment 3 Pavel Zhukov 2020-06-11 09:13:28 UTC
(In reply to Xavier Bachelot from comment #1)
> This needs to be configured in /etc/sysconfig/sympa, as hinted by the
> "EnvironmentFile=-/etc/sysconfig/sympa" just below the one you pointed out.

I see. Thank you. 
However nginx user should not be mentioned in -httpd package.

Comment 4 Xavier Bachelot 2020-06-11 09:16:08 UTC
nginx user is not mentioned in -httpd package.
The unit file is from the main package.

Comment 5 Pavel Zhukov 2020-06-11 09:18:07 UTC
(In reply to Xavier Bachelot from comment #4)
> nginx user is not mentioned in -httpd package.
> The unit file is from the main package.
rpm doesn't think so :)

[root@localhost sympa]# rpm -ql sympa-httpd
/etc/httpd/conf.d/sympa.conf
/usr/lib/systemd/system/sympasoap.service
/usr/lib/systemd/system/wwsympa.service << !!!!

[root@localhost sympa]# rpm -qf /usr/lib/systemd/system/wwsympa.service
sympa-httpd-6.2.56-1.fc32.x86_64

[root@localhost sympa]# cat /usr/lib/systemd/system/wwsympa.service
[Unit]
Description=WWSympa - Web interface for Sympa mailing list manager
After=syslog.target sympa.service
 
[Service]
Type=forking
PIDFile=/run/sympa/wwsympa.pid
ExecStart=/usr/bin/spawn-fcgi -F $FCGI_CHILDREN \
    -P /run/sympa/wwsympa.pid \
    -s /run/sympa/wwsympa.socket \
    -u $FCGI_USER -g $FCGI_GROUP $FCGI_OPTS -- \
    /usr/libexec/sympa/wwsympa.fcgi
Environment="FCGI_CHILDREN=5"
Environment="FCGI_USER=sympa"
Environment="FCGI_GROUP=sympa"
Environment="FCGI_OPTS=-M 0600 -U nginx"
EnvironmentFile=-/etc/sysconfig/sympa
Restart=always

[Install]
WantedBy=multi-user.target

Comment 6 Xavier Bachelot 2020-06-11 09:27:41 UTC
Right you are, sorry :-)
However, the same unit files for wwsympa and sympasoap are distributed in all of -nginx, -httpd, -lighttpd.
I can't think of any other way to do this.
Beside finishing up the work to make use of systemd sockets, which will replace the need to tweak /etc/sysconfig/sympa by an unit file override from the webserver sub-packages.

Comment 7 Fedora Program Management 2021-04-29 16:30:43 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2021-08-10 12:48:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 9 Ben Cotton 2022-11-29 16:48:51 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 10 Fedora Update System 2022-12-01 16:44:58 UTC
FEDORA-2022-a243247a14 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a243247a14

Comment 11 Fedora Update System 2022-12-01 16:44:59 UTC
FEDORA-EPEL-2022-70627a704c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-70627a704c

Comment 12 Fedora Update System 2022-12-01 16:45:00 UTC
FEDORA-2022-b9fb2e828a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b9fb2e828a

Comment 13 Fedora Update System 2022-12-01 16:45:01 UTC
FEDORA-2022-fdfd82227a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fdfd82227a

Comment 14 Fedora Update System 2022-12-02 02:03:01 UTC
FEDORA-EPEL-2022-70627a704c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-70627a704c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-12-02 02:26:18 UTC
FEDORA-2022-a243247a14 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a243247a14`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a243247a14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-12-02 02:28:57 UTC
FEDORA-2022-b9fb2e828a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b9fb2e828a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b9fb2e828a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2022-12-02 03:19:55 UTC
FEDORA-2022-fdfd82227a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-fdfd82227a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-fdfd82227a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-12-10 01:23:58 UTC
FEDORA-2022-b9fb2e828a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-12-10 01:28:18 UTC
FEDORA-2022-a243247a14 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2022-12-10 01:47:04 UTC
FEDORA-2022-fdfd82227a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-12-10 02:01:21 UTC
FEDORA-EPEL-2022-70627a704c has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.